## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# F35: Do not update past 1.3.1. F35's protobuf is too old.

# tests are enabled by default
%bcond_without tests

%global         srcname     google-cloud-private-ca
%global         forgeurl    https://github.com/googleapis/python-security-private-ca
Version:        1.4.3
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud Certificate Authority Service

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Python Client for Google Cloud Certificate Authority Service}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup

# Allow a slightly older protobuf.
sed -i 's/"protobuf.*",/"protobuf>=3.19.4",/' setup.py

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unneeded directories and files from the final package.
rm -f %{buildroot}%{_bindir}/fixup_privateca_v1beta1_keywords.py
rm -rf %{buildroot}%{python3_sitelib}/{docs,samples,scripts,tests}


%if %{with tests}
%check
# Work around an unusual pytest/PEP 420 issue where pytest can't import the
# installed module. Thanks to mhroncok for the help!
mv google{,_}
%pytest --disable-warnings tests/unit
mv google{_,}
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md samples
%{python3_sitelib}/google_cloud_private_ca-%{version}-py%{python3_version}-nspkg.pth



%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 19 2022 Major Hayden <major@redhat.com> 1.4.3-1
- Update to 1.4.3 rhbz#2131892

* Wed Aug 17 2022 Major Hayden <major@redhat.com> 1.4.1-1
- Update to 1.4.1 rhbz#2119196

* Wed Jul 27 2022 Major Hayden <major@redhat.com> 1.4.0-1
- Update to 1.4.0 rhbz#2108602

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> 1.3.2-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> 1.3.2-1
- Update to 1.3.2

* Thu May 19 2022 Major Hayden <major@mhtx.net> 1.3.1-1
- 🚀 Update to 1.3.1

* Thu Mar 10 2022 Major Hayden <major@mhtx.net> 1.3.0-1
- Update to 1.3.0

* Tue Mar 08 2022 Major Hayden <major@mhtx.net> 1.2.4-1
- Update to 1.2.4

* Tue Mar 01 2022 Major Hayden <major@mhtx.net> 1.2.3-1
- Update to 1.2.3

* Fri Feb 04 2022 Major Hayden <major@mhtx.net> 1.2.2-1
- Update to 1.2.2

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Nov 04 2021 Major Hayden <major@mhtx.net> 1.2.1-1
- Update to 1.2.1

* Mon Oct 25 2021 Major Hayden <major@mhtx.net> 1.2.0-2
- Remove samples from python3 sitelib

* Mon Oct 25 2021 Major Hayden <major@mhtx.net> 1.2.0-1
- Update to 1.2.0

* Wed Oct 13 2021 Major Hayden <major@mhtx.net> 1.1.0-1
- Update to 1.1.0

* Tue Oct 05 2021 Major Hayden <major@mhtx.net> 1.0.6-1
- Initial import (#2010407)
